package main

import (
	"flag"
	"fmt"
	"os"

	"git.imall.cloud/openim/open-im-server-deploy/tools/s3/internal"
)

func main() {
	var (
		name   string
		config string
	)
	flag.StringVar(&name, "name", "", "old previous storage name")
	flag.StringVar(&config, "config", "", "config directory")
	flag.Parse()
	if err := internal.Main(config, name); err != nil {
		fmt.Fprintln(os.Stderr, err)
		os.Exit(1)
	}
	fmt.Fprintln(os.Stdout, "success")
}
